Test webhook
Send a test delivery to the webhook URL and return the result. Test requests are rate limited upstream.
Send a test delivery to the webhook URL and return the result. Test requests are rate limited upstream.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
webhookIdstringRequiredExample:
Webhook ID (returned when the webhook was created)
019683f8-1234-7abc-8def-0123456789abResponses
200
Success response
application/json
http_statusintegerOptionalExample:
HTTP status code returned by the webhook endpoint
200is_successfulbooleanOptionalExample:
Whether the test delivery was successful
trueerrorstring · nullableOptionalExample:
Error message returned by the webhook endpoint in case of failure
Something bad happened401
Unauthenticated response
application/json
404
Error response
application/json
422
Error response
application/json
429
Error response
application/json
500
Error response
application/json
post/api/mail/v1/webhooks/{webhookId}/test
POST /api/mail/v1/webhooks/{webhookId}/test HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"http_status": 200,
"is_successful": true,
"error": "Something bad happened"
}Last updated
Was this helpful?